Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlUniqueConstraintCommon Class Reference

common base class for unique constraints More...

Inheritance diagram for MssqlSqlUtilBase::MssqlUniqueConstraintCommon:
[legend]

## Public Member Functions

| clearIndex ()
| clears any index base for the constraint
| constructor (__7_ string ts)
| creates the constraint with an optional filegroup name
| getIndexSql (reference< string > sql, string name, __7_ hash opts)
| adds index options onto the sql creation string
__7_ string | getTablespace ()
| returns the filegroup name used for this constraint, if known
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (__7_ string ts)
| sets or clears the filegroup name

## Protected Member Functions

| constructor ()
| empty constructor for subclasses

## Protected Attributes

__7_ string | filegroup
| any filegroup for the unique key index

## Detailed Description

common base class for unique constraints